function fig3_4

ep=0.1;
%ep=0.01;

clf
% get(gcf)
set(gcf,'Position', [25 1115 658 230])
co = [0 0 1;
    0 0.5 0;
    1 0 0;
    0 0.75 0.75;
    0.75 0 0.75;
    0.75 0.75 0;
    0.25 0.25 0.25];
set(groot,'defaultAxesColorOrder',co)
subaxis(1,1,1,1,'MT',0.01,'MB',0.18,'MR',-0.02,'ML',0.05,'P',0.04)

nx=200;
x=linspace(0,1,nx);

rp=(-1+sqrt(1-2*ep))/ep;  rm=(-1-sqrt(1-2*ep))/ep;
alp=1/(exp(rp)-exp(rm));  bet=-alp;
for ix=1:nx
	y(ix) = alp*exp(rp*x(ix)) + bet*exp(rm*x(ix));  
	ya(ix) = exp(1-x(ix)) - exp(1-2*x(ix)/ep);
end

plot(x,ya,'r','Linewidth',1.1)
hold on
plot(x,y,'--b','Linewidth',1.7)
axis([-0.02 1 0 3])
say=['$\varepsilon = \,\,$',num2str(ep)];
text(0.82,2.18,say,'FontSize',14,'FontWeight','bold','Interpreter','latex')
box on
grid on
set(gca,'ytick',[0 1 2 3])

ax = gca;
ax.XAxis.TickLabelInterpreter = 'latex';
ax.YAxis.TickLabelInterpreter = 'latex';
set(gca,'FontSize',13)

xlabel('$x$\,-\,axis','Interpreter','latex','FontSize',14)
ylabel('Solution','Interpreter','latex','FontSize',14)
legend(' Composite Expansion\,\,\,',' Exact Solution','Location','South','FontSize',13,'Interpreter','latex')

% if ep==0.1
%     exportgraphics(gcf,'/Users/mark/Desktop/fig24b.pdf')
% elseif ep==0.01
%     exportgraphics(gcf,'/Users/mark/Desktop/fig24a.pdf')
% end



